#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'gtk2'
alias e puts

window = Gtk::Window.new(:toplevel)
window.realize

hbox = Gtk::HBox.new
hbox.add(Gtk::Label.new('This tests the cursors.'))
hbox.add(Gtk::Button.new('This button is just used without any specific reason.'))
window.add(
  hbox
)

cursor = Gdk::Cursor.new(Gdk::Cursor::PENCIL)

window.window.set_cursor(cursor)

window.set_default_size(800, 800)
window.move(0, 0) 
window.show_all
Gtk.main